// Smooth scrolling for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Add active class to current navigation link
const currentLocation = location.href;
const navLinks = document.querySelectorAll('nav a');
navLinks.forEach(link => {
  if (link.href === currentLocation) {
    link.classList.add('active');
  }
});